From 68df892c89f967f114f7ad961a79a7b259aaeaf0 Mon Sep 17 00:00:00 2001
From: Peter Smith <peter.b.smith@fujitsu.com>
Date: Tue, 4 Oct 2022 16:02:52 +1100
Subject: [PATCH v2] GUC tables - remove unnecessary whitespace.

Many of the GUC array element configs are separated by blank lines, but OTOH many of them are not.
Be consistent and remove all the extra whitespace between the elements.
---
 src/backend/utils/misc/guc_tables.c | 250 +-----------------------------------
 1 file changed, 2 insertions(+), 248 deletions(-)

diff --git a/src/backend/utils/misc/guc_tables.c b/src/backend/utils/misc/guc_tables.c
index 05ab087..7e8b529 100644
--- a/src/backend/utils/misc/guc_tables.c
+++ b/src/backend/utils/misc/guc_tables.c
@@ -1107,7 +1107,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_log_hints", PGC_POSTMASTER, WAL_SETTINGS,
 			gettext_noop("Writes full pages to WAL when first modified after a checkpoint, even for a non-critical modification."),
@@ -1117,7 +1116,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_init_zero", PGC_SUSET, WAL_SETTINGS,
 			gettext_noop("Writes zeroes to new WAL files before first use."),
@@ -1127,7 +1125,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_recycle", PGC_SUSET, WAL_SETTINGS,
 			gettext_noop("Recycles WAL files by renaming them."),
@@ -1137,7 +1134,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_checkpoints", PGC_SIGHUP, LOGGING_WHAT,
 			gettext_noop("Logs each checkpoint."),
@@ -1188,7 +1184,6 @@ struct config_bool ConfigureNamesBool[] =
 #endif
 		NULL, NULL, NULL
 	},
-
 	{
 		{"exit_on_error", PGC_USERSET, ERROR_HANDLING_OPTIONS,
 			gettext_noop("Terminate session on any error."),
@@ -1299,6 +1294,7 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		check_log_stats, NULL, NULL
 	},
+
 #ifdef BTREE_BUILD_STATS
 	{
 		{"log_btree_build_stats", PGC_SUSET, DEVELOPER_OPTIONS,
@@ -1350,7 +1346,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"update_process_title", PGC_SUSET, PROCESS_TITLE,
 			gettext_noop("Updates the process title to show the active SQL command."),
@@ -1364,7 +1359,6 @@ struct config_bool ConfigureNamesBool[] =
 #endif
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Starts the autovacuum subprocess."),
@@ -1374,7 +1368,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"trace_notify", PGC_USERSET, DEVELOPER_OPTIONS,
 			gettext_noop("Generates debugging output for LISTEN and NOTIFY."),
@@ -1565,6 +1558,7 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		check_default_with_oids, NULL, NULL
 	},
+
 	{
 		{"logging_collector", PGC_POSTMASTER, LOGGING_WHERE,
 			gettext_noop("Start a subprocess to capture stderr output and/or csvlogs into log files."),
@@ -1649,7 +1643,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"krb_caseins_users", PGC_SIGHUP, CONN_AUTH_AUTH,
 			gettext_noop("Sets whether Kerberos and GSSAPI user names should be treated as case-insensitive."),
@@ -1659,7 +1652,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"escape_string_warning", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("Warn about backslash escapes in ordinary string literals."),
@@ -1669,7 +1661,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"standard_conforming_strings", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("Causes '...' strings to treat backslashes literally."),
@@ -1680,7 +1671,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"synchronize_seqscans", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("Enable synchronized sequential scans."),
@@ -1690,7 +1680,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_target_inclusive", PGC_POSTMASTER, WAL_RECOVERY_TARGET,
 			gettext_noop("Sets whether to include or exclude transaction with recovery target."),
@@ -1700,7 +1689,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"hot_standby", PGC_POSTMASTER, REPLICATION_STANDBY,
 			gettext_noop("Allows connections and queries during recovery."),
@@ -1710,7 +1698,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"hot_standby_feedback", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Allows feedback from a hot standby to the primary that will avoid query conflicts."),
@@ -1720,7 +1707,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"in_hot_standby", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows whether hot standby is currently active."),
@@ -1731,7 +1717,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, show_in_hot_standby
 	},
-
 	{
 		{"allow_system_table_mods", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Allows modifications of the structure of system tables."),
@@ -1742,7 +1727,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ignore_system_indexes", PGC_BACKEND, DEVELOPER_OPTIONS,
 			gettext_noop("Disables reading from system indexes."),
@@ -1754,7 +1738,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"allow_in_place_tablespaces", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Allows tablespaces directly inside pg_tblspc, for testing."),
@@ -1765,7 +1748,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"lo_compat_privileges", PGC_SUSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("Enables backward compatibility mode for privilege checks on large objects."),
@@ -1776,7 +1758,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"quote_all_identifiers", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("When generating SQL fragments, quote all identifiers."),
@@ -1786,7 +1767,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"data_checksums", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows whether data checksums are turned on for this cluster."),
@@ -1797,7 +1777,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"syslog_sequence_numbers", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Add sequence number to syslog messages to avoid duplicate suppression."),
@@ -1807,7 +1786,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"syslog_split_messages", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Split messages sent to syslog by lines and to fit into 1024 bytes."),
@@ -1817,7 +1795,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"parallel_leader_participation", PGC_USERSET, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Controls whether Gather and Gather Merge also run subplans."),
@@ -1828,7 +1805,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit", PGC_USERSET, QUERY_TUNING_OTHER,
 			gettext_noop("Allow JIT compilation."),
@@ -1839,7 +1815,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_debugging_support", PGC_SU_BACKEND, DEVELOPER_OPTIONS,
 			gettext_noop("Register JIT-compiled functions with debugger."),
@@ -1856,7 +1831,6 @@ struct config_bool ConfigureNamesBool[] =
 		 */
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_dump_bitcode", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Write out LLVM bitcode to facilitate JIT debugging."),
@@ -1867,7 +1841,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_expressions", PGC_USERSET, DEVELOPER_OPTIONS,
 			gettext_noop("Allow JIT compilation of expressions."),
@@ -1878,7 +1851,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_profiling_support", PGC_SU_BACKEND, DEVELOPER_OPTIONS,
 			gettext_noop("Register JIT-compiled functions with perf profiler."),
@@ -1895,7 +1867,6 @@ struct config_bool ConfigureNamesBool[] =
 		 */
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_tuple_deforming", PGC_USERSET, DEVELOPER_OPTIONS,
 			gettext_noop("Allow JIT compilation of tuple deforming."),
@@ -1906,7 +1877,6 @@ struct config_bool ConfigureNamesBool[] =
 		true,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"data_sync_retry", PGC_POSTMASTER, ERROR_HANDLING_OPTIONS,
 			gettext_noop("Whether to continue running after a failure to sync data files."),
@@ -1915,7 +1885,6 @@ struct config_bool ConfigureNamesBool[] =
 		false,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_receiver_create_temp_slot", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets whether a WAL receiver should create a temporary replication slot if no permanent slot is configured."),
@@ -2032,7 +2001,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		/* This is PGC_SUSET to prevent hiding from log_lock_waits. */
 		{"deadlock_timeout", PGC_SUSET, LOCK_MANAGEMENT,
@@ -2044,7 +2012,6 @@ struct config_int ConfigureNamesInt[] =
 		1000, 1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_standby_archive_delay", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the maximum delay before canceling queries when a hot standby server is processing archived WAL data."),
@@ -2055,7 +2022,6 @@ struct config_int ConfigureNamesInt[] =
 		30 * 1000, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_standby_streaming_delay", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the maximum delay before canceling queries when a hot standby server is processing streamed WAL data."),
@@ -2066,7 +2032,6 @@ struct config_int ConfigureNamesInt[] =
 		30 * 1000, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_min_apply_delay", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the minimum delay for applying changes during recovery."),
@@ -2077,7 +2042,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_receiver_status_interval", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the maximum interval between WAL receiver status reports to the sending server."),
@@ -2088,7 +2052,6 @@ struct config_int ConfigureNamesInt[] =
 		10, 0, INT_MAX / 1000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_receiver_timeout", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the maximum wait time to receive data from the sending server."),
@@ -2099,7 +2062,6 @@ struct config_int ConfigureNamesInt[] =
 		60 * 1000, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the maximum number of concurrent connections."),
@@ -2109,7 +2071,6 @@ struct config_int ConfigureNamesInt[] =
 		100, 1, MAX_BACKENDS,
 		check_max_connections, NULL, NULL
 	},
-
 	{
 		/* see max_connections */
 		{"superuser_reserved_connections", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
@@ -2120,7 +2081,6 @@ struct config_int ConfigureNamesInt[] =
 		3, 0, MAX_BACKENDS,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"min_dynamic_shared_memory", PGC_POSTMASTER, RESOURCES_MEM,
 			gettext_noop("Amount of dynamic shared memory reserved at startup."),
@@ -2157,7 +2117,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"shared_memory_size_in_huge_pages", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the number of huge pages needed for the main shared memory area."),
@@ -2168,7 +2127,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"temp_buffers", PGC_USERSET, RESOURCES_MEM,
 			gettext_noop("Sets the maximum number of temporary buffers used by each session."),
@@ -2179,7 +2137,6 @@ struct config_int ConfigureNamesInt[] =
 		1024, 100, INT_MAX / 2,
 		check_temp_buffers, NULL, NULL
 	},
-
 	{
 		{"port", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the TCP port the server listens on."),
@@ -2189,7 +2146,6 @@ struct config_int ConfigureNamesInt[] =
 		DEF_PGPORT, 1, 65535,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"unix_socket_permissions", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the access permissions of the Unix-domain socket."),
@@ -2204,7 +2160,6 @@ struct config_int ConfigureNamesInt[] =
 		0777, 0000, 0777,
 		NULL, NULL, show_unix_socket_permissions
 	},
-
 	{
 		{"log_file_mode", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the file permissions for log files."),
@@ -2218,8 +2173,6 @@ struct config_int ConfigureNamesInt[] =
 		0600, 0000, 0777,
 		NULL, NULL, show_log_file_mode
 	},
-
-
 	{
 		{"data_directory_mode", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the mode of the data directory."),
@@ -2233,7 +2186,6 @@ struct config_int ConfigureNamesInt[] =
 		0700, 0000, 0777,
 		NULL, NULL, show_data_directory_mode
 	},
-
 	{
 		{"work_mem", PGC_USERSET, RESOURCES_MEM,
 			gettext_noop("Sets the maximum memory to be used for query workspaces."),
@@ -2246,7 +2198,6 @@ struct config_int ConfigureNamesInt[] =
 		4096, 64, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"maintenance_work_mem", PGC_USERSET, RESOURCES_MEM,
 			gettext_noop("Sets the maximum memory to be used for maintenance operations."),
@@ -2257,7 +2208,6 @@ struct config_int ConfigureNamesInt[] =
 		65536, 1024, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"logical_decoding_work_mem", PGC_USERSET, RESOURCES_MEM,
 			gettext_noop("Sets the maximum memory to be used for logical decoding."),
@@ -2285,7 +2235,6 @@ struct config_int ConfigureNamesInt[] =
 		100, 100, MAX_KILOBYTES,
 		check_max_stack_depth, assign_max_stack_depth, NULL
 	},
-
 	{
 		{"temp_file_limit", PGC_SUSET, RESOURCES_DISK,
 			gettext_noop("Limits the total size of all temporary files used by each process."),
@@ -2296,7 +2245,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_cost_page_hit", PGC_USERSET, RESOURCES_VACUUM_DELAY,
 			gettext_noop("Vacuum cost for a page found in the buffer cache."),
@@ -2306,7 +2254,6 @@ struct config_int ConfigureNamesInt[] =
 		1, 0, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_cost_page_miss", PGC_USERSET, RESOURCES_VACUUM_DELAY,
 			gettext_noop("Vacuum cost for a page not found in the buffer cache."),
@@ -2316,7 +2263,6 @@ struct config_int ConfigureNamesInt[] =
 		2, 0, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_cost_page_dirty", PGC_USERSET, RESOURCES_VACUUM_DELAY,
 			gettext_noop("Vacuum cost for a page dirtied by vacuum."),
@@ -2326,7 +2272,6 @@ struct config_int ConfigureNamesInt[] =
 		20, 0, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_cost_limit", PGC_USERSET, RESOURCES_VACUUM_DELAY,
 			gettext_noop("Vacuum cost amount available before napping."),
@@ -2336,7 +2281,6 @@ struct config_int ConfigureNamesInt[] =
 		200, 1, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_vacuum_cost_limit", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Vacuum cost amount available before napping, for autovacuum."),
@@ -2346,7 +2290,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_files_per_process", PGC_POSTMASTER, RESOURCES_KERNEL,
 			gettext_noop("Sets the maximum number of simultaneously open files for each server process."),
@@ -2403,7 +2346,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"lock_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the maximum allowed duration of any wait for a lock."),
@@ -2414,7 +2356,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"idle_in_transaction_session_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the maximum allowed idle time between queries, when in a transaction."),
@@ -2425,7 +2366,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"idle_session_timeout", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the maximum allowed idle time between queries, when not in a transaction."),
@@ -2436,7 +2376,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_freeze_min_age", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Minimum age at which VACUUM should freeze a table row."),
@@ -2446,7 +2385,6 @@ struct config_int ConfigureNamesInt[] =
 		50000000, 0, 1000000000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_freeze_table_age", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Age at which VACUUM should scan whole table to freeze tuples."),
@@ -2456,7 +2394,6 @@ struct config_int ConfigureNamesInt[] =
 		150000000, 0, 2000000000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_multixact_freeze_min_age", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Minimum age at which VACUUM should freeze a MultiXactId in a table row."),
@@ -2466,7 +2403,6 @@ struct config_int ConfigureNamesInt[] =
 		5000000, 0, 1000000000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_multixact_freeze_table_age", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Multixact age at which VACUUM should scan whole table to freeze tuples."),
@@ -2476,7 +2412,6 @@ struct config_int ConfigureNamesInt[] =
 		150000000, 0, 2000000000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"vacuum_defer_cleanup_age", PGC_SIGHUP, REPLICATION_PRIMARY,
 			gettext_noop("Number of transactions by which VACUUM and HOT cleanup should be deferred, if any."),
@@ -2531,7 +2466,6 @@ struct config_int ConfigureNamesInt[] =
 		64, 10, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_pred_locks_per_relation", PGC_SIGHUP, LOCK_MANAGEMENT,
 			gettext_noop("Sets the maximum number of predicate-locked pages and tuples per relation."),
@@ -2542,7 +2476,6 @@ struct config_int ConfigureNamesInt[] =
 		-2, INT_MIN, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_pred_locks_per_page", PGC_SIGHUP, LOCK_MANAGEMENT,
 			gettext_noop("Sets the maximum number of predicate-locked tuples per page."),
@@ -2553,7 +2486,6 @@ struct config_int ConfigureNamesInt[] =
 		2, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"authentication_timeout", PGC_SIGHUP, CONN_AUTH_AUTH,
 			gettext_noop("Sets the maximum allowed time to complete client authentication."),
@@ -2564,7 +2496,6 @@ struct config_int ConfigureNamesInt[] =
 		60, 1, 600,
 		NULL, NULL, NULL
 	},
-
 	{
 		/* Not for general use */
 		{"pre_auth_delay", PGC_SIGHUP, DEVELOPER_OPTIONS,
@@ -2577,7 +2508,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, 60,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_decode_buffer_size", PGC_POSTMASTER, WAL_RECOVERY,
 			gettext_noop("Buffer size for reading ahead in the WAL during recovery."),
@@ -2588,7 +2518,6 @@ struct config_int ConfigureNamesInt[] =
 		512 * 1024, 64 * 1024, MaxAllocSize,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_keep_size", PGC_SIGHUP, REPLICATION_SENDING,
 			gettext_noop("Sets the size of WAL files held for standby servers."),
@@ -2599,7 +2528,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"min_wal_size", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Sets the minimum size to shrink the WAL to."),
@@ -2611,7 +2539,6 @@ struct config_int ConfigureNamesInt[] =
 		2, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_wal_size", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Sets the WAL size that triggers a checkpoint."),
@@ -2623,7 +2550,6 @@ struct config_int ConfigureNamesInt[] =
 		2, MAX_KILOBYTES,
 		NULL, assign_max_wal_size, NULL
 	},
-
 	{
 		{"checkpoint_timeout", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Sets the maximum time between automatic WAL checkpoints."),
@@ -2634,7 +2560,6 @@ struct config_int ConfigureNamesInt[] =
 		300, 30, 86400,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"checkpoint_warning", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Sets the maximum time before warning if checkpoints "
@@ -2649,7 +2574,6 @@ struct config_int ConfigureNamesInt[] =
 		30, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"checkpoint_flush_after", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Number of pages after which previously performed writes are flushed to disk."),
@@ -2660,7 +2584,6 @@ struct config_int ConfigureNamesInt[] =
 		DEFAULT_CHECKPOINT_FLUSH_AFTER, 0, WRITEBACK_MAX_PENDING_FLUSHES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_buffers", PGC_POSTMASTER, WAL_SETTINGS,
 			gettext_noop("Sets the number of disk-page buffers in shared memory for WAL."),
@@ -2671,7 +2594,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, (INT_MAX / XLOG_BLCKSZ),
 		check_wal_buffers, NULL, NULL
 	},
-
 	{
 		{"wal_writer_delay", PGC_SIGHUP, WAL_SETTINGS,
 			gettext_noop("Time between WAL flushes performed in the WAL writer."),
@@ -2682,7 +2604,6 @@ struct config_int ConfigureNamesInt[] =
 		200, 1, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_writer_flush_after", PGC_SIGHUP, WAL_SETTINGS,
 			gettext_noop("Amount of WAL written out by WAL writer that triggers a flush."),
@@ -2693,7 +2614,6 @@ struct config_int ConfigureNamesInt[] =
 		(1024 * 1024) / XLOG_BLCKSZ, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_skip_threshold", PGC_USERSET, WAL_SETTINGS,
 			gettext_noop("Minimum size of new file to fsync instead of writing WAL."),
@@ -2704,7 +2624,6 @@ struct config_int ConfigureNamesInt[] =
 		2048, 0, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_wal_senders", PGC_POSTMASTER, REPLICATION_SENDING,
 			gettext_noop("Sets the maximum number of simultaneously running WAL sender processes."),
@@ -2714,7 +2633,6 @@ struct config_int ConfigureNamesInt[] =
 		10, 0, MAX_BACKENDS,
 		check_max_wal_senders, NULL, NULL
 	},
-
 	{
 		/* see max_wal_senders */
 		{"max_replication_slots", PGC_POSTMASTER, REPLICATION_SENDING,
@@ -2725,7 +2643,6 @@ struct config_int ConfigureNamesInt[] =
 		10, 0, MAX_BACKENDS /* XXX? */ ,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_slot_wal_keep_size", PGC_SIGHUP, REPLICATION_SENDING,
 			gettext_noop("Sets the maximum WAL size that can be reserved by replication slots."),
@@ -2738,7 +2655,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_sender_timeout", PGC_USERSET, REPLICATION_SENDING,
 			gettext_noop("Sets the maximum time to wait for WAL replication."),
@@ -2749,7 +2665,6 @@ struct config_int ConfigureNamesInt[] =
 		60 * 1000, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"commit_delay", PGC_SUSET, WAL_SETTINGS,
 			gettext_noop("Sets the delay in microseconds between transaction commit and "
@@ -2761,7 +2676,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, 100000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"commit_siblings", PGC_USERSET, WAL_SETTINGS,
 			gettext_noop("Sets the minimum number of concurrent open transactions "
@@ -2772,7 +2686,6 @@ struct config_int ConfigureNamesInt[] =
 		5, 0, 1000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"extra_float_digits", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the number of digits displayed for floating-point values."),
@@ -2785,7 +2698,6 @@ struct config_int ConfigureNamesInt[] =
 		1, -15, 3,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_min_duration_sample", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Sets the minimum execution time above which "
@@ -2798,7 +2710,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_min_duration_statement", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Sets the minimum execution time above which "
@@ -2810,7 +2721,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_autovacuum_min_duration", PGC_SIGHUP, LOGGING_WHAT,
 			gettext_noop("Sets the minimum execution time above which "
@@ -2822,7 +2732,6 @@ struct config_int ConfigureNamesInt[] =
 		600000, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_parameter_max_length", PGC_SUSET, LOGGING_WHAT,
 			gettext_noop("Sets the maximum length in bytes of data logged for bind "
@@ -2834,7 +2743,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX / 2,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_parameter_max_length_on_error", PGC_USERSET, LOGGING_WHAT,
 			gettext_noop("Sets the maximum length in bytes of data logged for bind "
@@ -2846,7 +2754,6 @@ struct config_int ConfigureNamesInt[] =
 		0, -1, INT_MAX / 2,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bgwriter_delay", PGC_SIGHUP, RESOURCES_BGWRITER,
 			gettext_noop("Background writer sleep time between rounds."),
@@ -2857,7 +2764,6 @@ struct config_int ConfigureNamesInt[] =
 		200, 10, 10000,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bgwriter_lru_maxpages", PGC_SIGHUP, RESOURCES_BGWRITER,
 			gettext_noop("Background writer maximum number of LRU pages to flush per round."),
@@ -2867,7 +2773,6 @@ struct config_int ConfigureNamesInt[] =
 		100, 0, INT_MAX / 2,	/* Same upper limit as shared_buffers */
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bgwriter_flush_after", PGC_SIGHUP, RESOURCES_BGWRITER,
 			gettext_noop("Number of pages after which previously performed writes are flushed to disk."),
@@ -2878,7 +2783,6 @@ struct config_int ConfigureNamesInt[] =
 		DEFAULT_BGWRITER_FLUSH_AFTER, 0, WRITEBACK_MAX_PENDING_FLUSHES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"effective_io_concurrency",
 			PGC_USERSET,
@@ -2896,7 +2800,6 @@ struct config_int ConfigureNamesInt[] =
 		0, MAX_IO_CONCURRENCY,
 		check_effective_io_concurrency, NULL, NULL
 	},
-
 	{
 		{"maintenance_io_concurrency",
 			PGC_USERSET,
@@ -2915,7 +2818,6 @@ struct config_int ConfigureNamesInt[] =
 		check_maintenance_io_concurrency, assign_maintenance_io_concurrency,
 		NULL
 	},
-
 	{
 		{"backend_flush_after", PGC_USERSET, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Number of pages after which previously performed writes are flushed to disk."),
@@ -2926,7 +2828,6 @@ struct config_int ConfigureNamesInt[] =
 		DEFAULT_BACKEND_FLUSH_AFTER, 0, WRITEBACK_MAX_PENDING_FLUSHES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_worker_processes",
 			PGC_POSTMASTER,
@@ -2938,7 +2839,6 @@ struct config_int ConfigureNamesInt[] =
 		8, 0, MAX_BACKENDS,
 		check_max_worker_processes, NULL, NULL
 	},
-
 	{
 		{"max_logical_replication_workers",
 			PGC_POSTMASTER,
@@ -2950,7 +2850,6 @@ struct config_int ConfigureNamesInt[] =
 		4, 0, MAX_BACKENDS,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_sync_workers_per_subscription",
 			PGC_SIGHUP,
@@ -2962,7 +2861,6 @@ struct config_int ConfigureNamesInt[] =
 		2, 0, MAX_BACKENDS,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_rotation_age", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the amount of time to wait before forcing "
@@ -2974,7 +2872,6 @@ struct config_int ConfigureNamesInt[] =
 		HOURS_PER_DAY * MINS_PER_HOUR, 0, INT_MAX / SECS_PER_MINUTE,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_rotation_size", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the maximum size a log file can reach before "
@@ -2986,7 +2883,6 @@ struct config_int ConfigureNamesInt[] =
 		10 * 1024, 0, INT_MAX / 1024,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_function_args", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the maximum number of function arguments."),
@@ -2997,7 +2893,6 @@ struct config_int ConfigureNamesInt[] =
 		FUNC_MAX_ARGS, FUNC_MAX_ARGS, FUNC_MAX_ARGS,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_index_keys", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the maximum number of index keys."),
@@ -3008,7 +2903,6 @@ struct config_int ConfigureNamesInt[] =
 		INDEX_MAX_KEYS, INDEX_MAX_KEYS, INDEX_MAX_KEYS,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_identifier_length", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the maximum identifier length."),
@@ -3019,7 +2913,6 @@ struct config_int ConfigureNamesInt[] =
 		NAMEDATALEN - 1, NAMEDATALEN - 1, NAMEDATALEN - 1,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"block_size", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the size of a disk block."),
@@ -3030,7 +2923,6 @@ struct config_int ConfigureNamesInt[] =
 		BLCKSZ, BLCKSZ, BLCKSZ,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"segment_size", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the number of pages per disk file."),
@@ -3041,7 +2933,6 @@ struct config_int ConfigureNamesInt[] =
 		RELSEG_SIZE, RELSEG_SIZE, RELSEG_SIZE,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_block_size", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the block size in the write ahead log."),
@@ -3052,7 +2943,6 @@ struct config_int ConfigureNamesInt[] =
 		XLOG_BLCKSZ, XLOG_BLCKSZ, XLOG_BLCKSZ,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_retrieve_retry_interval", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the time to wait before retrying to retrieve WAL "
@@ -3064,7 +2954,6 @@ struct config_int ConfigureNamesInt[] =
 		5000, 1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_segment_size", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the size of write ahead log segments."),
@@ -3077,7 +2966,6 @@ struct config_int ConfigureNamesInt[] =
 		WalSegMaxSize,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_naptime", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Time to sleep between autovacuum runs."),
@@ -3147,7 +3035,6 @@ struct config_int ConfigureNamesInt[] =
 		3, 1, MAX_BACKENDS,
 		check_autovacuum_max_workers, NULL, NULL
 	},
-
 	{
 		{"max_parallel_maintenance_workers", PGC_USERSET, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Sets the maximum number of parallel processes per maintenance operation."),
@@ -3157,7 +3044,6 @@ struct config_int ConfigureNamesInt[] =
 		2, 0, 1024,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_parallel_workers_per_gather", PGC_USERSET, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Sets the maximum number of parallel processes per executor node."),
@@ -3168,7 +3054,6 @@ struct config_int ConfigureNamesInt[] =
 		2, 0, MAX_PARALLEL_WORKER_LIMIT,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"max_parallel_workers", PGC_USERSET, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Sets the maximum number of parallel workers that can be active at one time."),
@@ -3179,7 +3064,6 @@ struct config_int ConfigureNamesInt[] =
 		8, 0, MAX_PARALLEL_WORKER_LIMIT,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_work_mem", PGC_SIGHUP, RESOURCES_MEM,
 			gettext_noop("Sets the maximum memory to be used by each autovacuum worker process."),
@@ -3190,7 +3074,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, MAX_KILOBYTES,
 		check_autovacuum_work_mem, NULL, NULL
 	},
-
 	{
 		{"old_snapshot_threshold", PGC_POSTMASTER, RESOURCES_ASYNCHRONOUS,
 			gettext_noop("Time before a snapshot is too old to read pages changed after the snapshot was taken."),
@@ -3201,7 +3084,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, MINS_PER_HOUR * HOURS_PER_DAY * 60,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"tcp_keepalives_idle", PGC_USERSET, CONN_AUTH_TCP,
 			gettext_noop("Time between issuing TCP keepalives."),
@@ -3212,7 +3094,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, assign_tcp_keepalives_idle, show_tcp_keepalives_idle
 	},
-
 	{
 		{"tcp_keepalives_interval", PGC_USERSET, CONN_AUTH_TCP,
 			gettext_noop("Time between TCP keepalive retransmits."),
@@ -3223,7 +3104,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, assign_tcp_keepalives_interval, show_tcp_keepalives_interval
 	},
-
 	{
 		{"ssl_renegotiation_limit", PGC_USERSET, COMPAT_OPTIONS_PREVIOUS,
 			gettext_noop("SSL renegotiation is no longer supported; this can only be 0."),
@@ -3234,7 +3114,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, 0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"tcp_keepalives_count", PGC_USERSET, CONN_AUTH_TCP,
 			gettext_noop("Maximum number of TCP keepalive retransmits."),
@@ -3246,7 +3125,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, assign_tcp_keepalives_count, show_tcp_keepalives_count
 	},
-
 	{
 		{"gin_fuzzy_search_limit", PGC_USERSET, CLIENT_CONN_OTHER,
 			gettext_noop("Sets the maximum allowed result for exact search by GIN."),
@@ -3257,7 +3135,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"effective_cache_size", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Sets the planner's assumption about the total size of the data caches."),
@@ -3269,7 +3146,6 @@ struct config_int ConfigureNamesInt[] =
 		DEFAULT_EFFECTIVE_CACHE_SIZE, 1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"min_parallel_table_scan_size", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Sets the minimum amount of table data for a parallel scan."),
@@ -3280,7 +3156,6 @@ struct config_int ConfigureNamesInt[] =
 		(8 * 1024 * 1024) / BLCKSZ, 0, INT_MAX / 3,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"min_parallel_index_scan_size", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Sets the minimum amount of index data for a parallel scan."),
@@ -3291,7 +3166,6 @@ struct config_int ConfigureNamesInt[] =
 		(512 * 1024) / BLCKSZ, 0, INT_MAX / 3,
 		NULL, NULL, NULL
 	},
-
 	{
 		/* Can't be set in postgresql.conf */
 		{"server_version_num", PGC_INTERNAL, PRESET_OPTIONS,
@@ -3303,7 +3177,6 @@ struct config_int ConfigureNamesInt[] =
 		PG_VERSION_NUM, PG_VERSION_NUM, PG_VERSION_NUM,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_temp_files", PGC_SUSET, LOGGING_WHAT,
 			gettext_noop("Log the use of temporary files larger than this number of kilobytes."),
@@ -3314,7 +3187,6 @@ struct config_int ConfigureNamesInt[] =
 		-1, -1, INT_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"track_activity_query_size", PGC_POSTMASTER, STATS_CUMULATIVE,
 			gettext_noop("Sets the size reserved for pg_stat_activity.query, in bytes."),
@@ -3325,7 +3197,6 @@ struct config_int ConfigureNamesInt[] =
 		1024, 100, 1048576,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"gin_pending_list_limit", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the maximum size of the pending list for GIN index."),
@@ -3336,7 +3207,6 @@ struct config_int ConfigureNamesInt[] =
 		4096, 64, MAX_KILOBYTES,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"tcp_user_timeout", PGC_USERSET, CONN_AUTH_TCP,
 			gettext_noop("TCP user timeout."),
@@ -3347,7 +3217,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		NULL, assign_tcp_user_timeout, show_tcp_user_timeout
 	},
-
 	{
 		{"huge_page_size", PGC_POSTMASTER, RESOURCES_MEM,
 			gettext_noop("The size of huge page that should be requested."),
@@ -3358,7 +3227,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		check_huge_page_size, NULL, NULL
 	},
-
 	{
 		{"debug_discard_caches", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Aggressively flush system caches for debugging purposes."),
@@ -3381,7 +3249,6 @@ struct config_int ConfigureNamesInt[] =
 #endif							/* not DISCARD_CACHES_ENABLED */
 		NULL, NULL, NULL
 	},
-
 	{
 		{"client_connection_check_interval", PGC_USERSET, CONN_AUTH_TCP,
 			gettext_noop("Sets the time interval between checks for disconnection while running queries."),
@@ -3392,7 +3259,6 @@ struct config_int ConfigureNamesInt[] =
 		0, 0, INT_MAX,
 		check_client_connection_check_interval, NULL, NULL
 	},
-
 	{
 		{"log_startup_progress_interval", PGC_SIGHUP, LOGGING_WHEN,
 			gettext_noop("Time between progress updates for "
@@ -3491,7 +3357,6 @@ struct config_real ConfigureNamesReal[] =
 		DEFAULT_PARALLEL_SETUP_COST, 0, DBL_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_above_cost", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Perform JIT compilation if query is more expensive."),
@@ -3502,7 +3367,6 @@ struct config_real ConfigureNamesReal[] =
 		100000, -1, DBL_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_optimize_above_cost", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Optimize JIT-compiled functions if query is more expensive."),
@@ -3513,7 +3377,6 @@ struct config_real ConfigureNamesReal[] =
 		500000, -1, DBL_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"jit_inline_above_cost", PGC_USERSET, QUERY_TUNING_COST,
 			gettext_noop("Perform JIT inlining if query is more expensive."),
@@ -3524,7 +3387,6 @@ struct config_real ConfigureNamesReal[] =
 		500000, -1, DBL_MAX,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"cursor_tuple_fraction", PGC_USERSET, QUERY_TUNING_OTHER,
 			gettext_noop("Sets the planner's estimate of the fraction of "
@@ -3536,7 +3398,6 @@ struct config_real ConfigureNamesReal[] =
 		DEFAULT_CURSOR_TUPLE_FRACTION, 0.0, 1.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recursive_worktable_factor", PGC_USERSET, QUERY_TUNING_OTHER,
 			gettext_noop("Sets the planner's estimate of the average size "
@@ -3548,7 +3409,6 @@ struct config_real ConfigureNamesReal[] =
 		DEFAULT_RECURSIVE_WORKTABLE_FACTOR, 0.001, 1000000.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"geqo_selection_bias", PGC_USERSET, QUERY_TUNING_GEQO,
 			gettext_noop("GEQO: selective pressure within the population."),
@@ -3570,7 +3430,6 @@ struct config_real ConfigureNamesReal[] =
 		0.0, 0.0, 1.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"hash_mem_multiplier", PGC_USERSET, RESOURCES_MEM,
 			gettext_noop("Multiple of work_mem to use for hash tables."),
@@ -3581,7 +3440,6 @@ struct config_real ConfigureNamesReal[] =
 		2.0, 1.0, 1000.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bgwriter_lru_multiplier", PGC_SIGHUP, RESOURCES_BGWRITER,
 			gettext_noop("Multiple of the average buffer usage to free per round."),
@@ -3591,7 +3449,6 @@ struct config_real ConfigureNamesReal[] =
 		2.0, 0.0, 10.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"seed", PGC_USERSET, UNGROUPED,
 			gettext_noop("Sets the seed for random-number generation."),
@@ -3602,7 +3459,6 @@ struct config_real ConfigureNamesReal[] =
 		0.0, -1.0, 1.0,
 		check_random_seed, assign_random_seed, show_random_seed
 	},
-
 	{
 		{"vacuum_cost_delay", PGC_USERSET, RESOURCES_VACUUM_DELAY,
 			gettext_noop("Vacuum cost delay in milliseconds."),
@@ -3613,7 +3469,6 @@ struct config_real ConfigureNamesReal[] =
 		0, 0, 100,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_vacuum_cost_delay", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Vacuum cost delay in milliseconds, for autovacuum."),
@@ -3624,7 +3479,6 @@ struct config_real ConfigureNamesReal[] =
 		2, -1, 100,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_vacuum_scale_factor", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Number of tuple updates or deletes prior to vacuum as a fraction of reltuples."),
@@ -3634,7 +3488,6 @@ struct config_real ConfigureNamesReal[] =
 		0.2, 0.0, 100.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_vacuum_insert_scale_factor", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Number of tuple inserts prior to vacuum as a fraction of reltuples."),
@@ -3644,7 +3497,6 @@ struct config_real ConfigureNamesReal[] =
 		0.2, 0.0, 100.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"autovacuum_analyze_scale_factor", PGC_SIGHUP, AUTOVACUUM,
 			gettext_noop("Number of tuple inserts, updates, or deletes prior to analyze as a fraction of reltuples."),
@@ -3654,7 +3506,6 @@ struct config_real ConfigureNamesReal[] =
 		0.1, 0.0, 100.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"checkpoint_completion_target", PGC_SIGHUP, WAL_CHECKPOINTS,
 			gettext_noop("Time spent flushing dirty buffers during checkpoint, as fraction of checkpoint interval."),
@@ -3664,7 +3515,6 @@ struct config_real ConfigureNamesReal[] =
 		0.9, 0.0, 1.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_statement_sample_rate", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Fraction of statements exceeding log_min_duration_sample to be logged."),
@@ -3674,7 +3524,6 @@ struct config_real ConfigureNamesReal[] =
 		1.0, 0.0, 1.0,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_transaction_sample_rate", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Sets the fraction of transactions from which to log all statements."),
@@ -3704,7 +3553,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, show_archive_command
 	},
-
 	{
 		{"archive_library", PGC_SIGHUP, WAL_ARCHIVING,
 			gettext_noop("Sets the library that will be called to archive a WAL file."),
@@ -3714,7 +3562,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"restore_command", PGC_SIGHUP, WAL_ARCHIVE_RECOVERY,
 			gettext_noop("Sets the shell command that will be called to retrieve an archived WAL file."),
@@ -3724,7 +3571,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"archive_cleanup_command", PGC_SIGHUP, WAL_ARCHIVE_RECOVERY,
 			gettext_noop("Sets the shell command that will be executed at every restart point."),
@@ -3734,7 +3580,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_end_command", PGC_SIGHUP, WAL_ARCHIVE_RECOVERY,
 			gettext_noop("Sets the shell command that will be executed once at the end of recovery."),
@@ -3744,7 +3589,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_target_timeline", PGC_POSTMASTER, WAL_RECOVERY_TARGET,
 			gettext_noop("Specifies the timeline to recover into."),
@@ -3754,7 +3598,6 @@ struct config_string ConfigureNamesString[] =
 		"latest",
 		check_recovery_target_timeline, assign_recovery_target_timeline, NULL
 	},
-
 	{
 		{"recovery_target", PGC_POSTMASTER, WAL_RECOVERY_TARGET,
 			gettext_noop("Set to \"immediate\" to end recovery as soon as a consistent state is reached."),
@@ -3800,7 +3643,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_recovery_target_lsn, assign_recovery_target_lsn, NULL
 	},
-
 	{
 		{"promote_trigger_file", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Specifies a file name whose presence ends recovery in the standby."),
@@ -3810,7 +3652,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"primary_conninfo", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the connection string to be used to connect to the sending server."),
@@ -3821,7 +3662,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"primary_slot_name", PGC_SIGHUP, REPLICATION_STANDBY,
 			gettext_noop("Sets the name of the replication slot to use on the sending server."),
@@ -3831,7 +3671,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_primary_slot_name, NULL, NULL
 	},
-
 	{
 		{"client_encoding", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the client's character set encoding."),
@@ -3842,7 +3681,6 @@ struct config_string ConfigureNamesString[] =
 		"SQL_ASCII",
 		check_client_encoding, assign_client_encoding, NULL
 	},
-
 	{
 		{"log_line_prefix", PGC_SIGHUP, LOGGING_WHAT,
 			gettext_noop("Controls information prefixed to each log line."),
@@ -3852,7 +3690,6 @@ struct config_string ConfigureNamesString[] =
 		"%m [%p] ",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_timezone", PGC_SIGHUP, LOGGING_WHAT,
 			gettext_noop("Sets the time zone to use in log messages."),
@@ -3862,7 +3699,6 @@ struct config_string ConfigureNamesString[] =
 		"GMT",
 		check_log_timezone, assign_log_timezone, show_log_timezone
 	},
-
 	{
 		{"DateStyle", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the display format for date and time values."),
@@ -3874,7 +3710,6 @@ struct config_string ConfigureNamesString[] =
 		"ISO, MDY",
 		check_datestyle, assign_datestyle, NULL
 	},
-
 	{
 		{"default_table_access_method", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the default table access method for new tables."),
@@ -3885,7 +3720,6 @@ struct config_string ConfigureNamesString[] =
 		DEFAULT_TABLE_ACCESS_METHOD,
 		check_default_table_access_method, NULL, NULL
 	},
-
 	{
 		{"default_tablespace", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the default tablespace to create tables and indexes in."),
@@ -3896,7 +3730,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_default_tablespace, NULL, NULL
 	},
-
 	{
 		{"temp_tablespaces", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the tablespace(s) to use for temporary tables and sort files."),
@@ -3907,7 +3740,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_temp_tablespaces, assign_temp_tablespaces, NULL
 	},
-
 	{
 		{"dynamic_library_path", PGC_SUSET, CLIENT_CONN_OTHER,
 			gettext_noop("Sets the path for dynamically loadable modules."),
@@ -3921,7 +3753,6 @@ struct config_string ConfigureNamesString[] =
 		"$libdir",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"krb_server_keyfile", PGC_SIGHUP, CONN_AUTH_AUTH,
 			gettext_noop("Sets the location of the Kerberos server key file."),
@@ -3932,7 +3763,6 @@ struct config_string ConfigureNamesString[] =
 		PG_KRB_SRVTAB,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bonjour_name", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the Bonjour service name."),
@@ -3955,7 +3785,6 @@ struct config_string ConfigureNamesString[] =
 		"C",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"lc_ctype", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the character classification and case conversion locale."),
@@ -3966,7 +3795,6 @@ struct config_string ConfigureNamesString[] =
 		"C",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"lc_messages", PGC_SUSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the language in which messages are displayed."),
@@ -3976,7 +3804,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_locale_messages, assign_locale_messages, NULL
 	},
-
 	{
 		{"lc_monetary", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the locale for formatting monetary amounts."),
@@ -3986,7 +3813,6 @@ struct config_string ConfigureNamesString[] =
 		"C",
 		check_locale_monetary, assign_locale_monetary, NULL
 	},
-
 	{
 		{"lc_numeric", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the locale for formatting numbers."),
@@ -3996,7 +3822,6 @@ struct config_string ConfigureNamesString[] =
 		"C",
 		check_locale_numeric, assign_locale_numeric, NULL
 	},
-
 	{
 		{"lc_time", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the locale for formatting date and time values."),
@@ -4017,7 +3842,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"shared_preload_libraries", PGC_POSTMASTER, CLIENT_CONN_PRELOAD,
 			gettext_noop("Lists shared libraries to preload into server."),
@@ -4028,7 +3852,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"local_preload_libraries", PGC_USERSET, CLIENT_CONN_PRELOAD,
 			gettext_noop("Lists unprivileged shared libraries to preload into each backend."),
@@ -4039,7 +3862,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"search_path", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the schema search order for names that are not schema-qualified."),
@@ -4050,7 +3872,6 @@ struct config_string ConfigureNamesString[] =
 		"\"$user\", public",
 		check_search_path, assign_search_path, NULL
 	},
-
 	{
 		/* Can't be set in postgresql.conf */
 		{"server_encoding", PGC_INTERNAL, PRESET_OPTIONS,
@@ -4062,7 +3883,6 @@ struct config_string ConfigureNamesString[] =
 		"SQL_ASCII",
 		NULL, NULL, NULL
 	},
-
 	{
 		/* Can't be set in postgresql.conf */
 		{"server_version", PGC_INTERNAL, PRESET_OPTIONS,
@@ -4074,7 +3894,6 @@ struct config_string ConfigureNamesString[] =
 		PG_VERSION,
 		NULL, NULL, NULL
 	},
-
 	{
 		/* Not for general use --- used by SET ROLE */
 		{"role", PGC_USERSET, UNGROUPED,
@@ -4086,7 +3905,6 @@ struct config_string ConfigureNamesString[] =
 		"none",
 		check_role, assign_role, show_role
 	},
-
 	{
 		/* Not for general use --- used by SET SESSION AUTHORIZATION */
 		{"session_authorization", PGC_USERSET, UNGROUPED,
@@ -4098,7 +3916,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		check_session_authorization, assign_session_authorization, NULL
 	},
-
 	{
 		{"log_destination", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the destination for server log output."),
@@ -4132,7 +3949,6 @@ struct config_string ConfigureNamesString[] =
 		"postgresql-%Y-%m-%d_%H%M%S.log",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"syslog_ident", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the program name used to identify PostgreSQL "
@@ -4143,7 +3959,6 @@ struct config_string ConfigureNamesString[] =
 		"postgres",
 		NULL, assign_syslog_ident, NULL
 	},
-
 	{
 		{"event_source", PGC_POSTMASTER, LOGGING_WHERE,
 			gettext_noop("Sets the application name used to identify "
@@ -4154,7 +3969,6 @@ struct config_string ConfigureNamesString[] =
 		DEFAULT_EVENT_SOURCE,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"TimeZone", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the time zone for displaying and interpreting time stamps."),
@@ -4174,7 +3988,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		check_timezone_abbreviations, assign_timezone_abbreviations, NULL
 	},
-
 	{
 		{"unix_socket_group", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the owning group of the Unix-domain socket."),
@@ -4185,7 +3998,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"unix_socket_directories", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the directories where Unix-domain sockets will be created."),
@@ -4196,7 +4008,6 @@ struct config_string ConfigureNamesString[] =
 		DEFAULT_PGSOCKET_DIR,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"listen_addresses", PGC_POSTMASTER, CONN_AUTH_SETTINGS,
 			gettext_noop("Sets the host name or IP address(es) to listen to."),
@@ -4207,7 +4018,6 @@ struct config_string ConfigureNamesString[] =
 		"localhost",
 		NULL, NULL, NULL
 	},
-
 	{
 		/*
 		 * Can't be set by ALTER SYSTEM as it can lead to recursive definition
@@ -4222,7 +4032,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"config_file", PGC_POSTMASTER, FILE_LOCATIONS,
 			gettext_noop("Sets the server's main configuration file."),
@@ -4233,7 +4042,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"hba_file", PGC_POSTMASTER, FILE_LOCATIONS,
 			gettext_noop("Sets the server's \"hba\" configuration file."),
@@ -4244,7 +4052,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ident_file", PGC_POSTMASTER, FILE_LOCATIONS,
 			gettext_noop("Sets the server's \"ident\" configuration file."),
@@ -4255,7 +4062,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"external_pid_file", PGC_POSTMASTER, FILE_LOCATIONS,
 			gettext_noop("Writes the postmaster PID to the specified file."),
@@ -4266,7 +4072,6 @@ struct config_string ConfigureNamesString[] =
 		NULL,
 		check_canonical_path, NULL, NULL
 	},
-
 	{
 		{"ssl_library", PGC_INTERNAL, PRESET_OPTIONS,
 			gettext_noop("Shows the name of the SSL library."),
@@ -4281,7 +4086,6 @@ struct config_string ConfigureNamesString[] =
 #endif
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_cert_file", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL server certificate file."),
@@ -4291,7 +4095,6 @@ struct config_string ConfigureNamesString[] =
 		"server.crt",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_key_file", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL server private key file."),
@@ -4301,7 +4104,6 @@ struct config_string ConfigureNamesString[] =
 		"server.key",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_ca_file", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL certificate authority file."),
@@ -4311,7 +4113,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_crl_file", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL certificate revocation list file."),
@@ -4321,7 +4122,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_crl_dir", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL certificate revocation list directory."),
@@ -4331,7 +4131,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"synchronous_standby_names", PGC_SIGHUP, REPLICATION_PRIMARY,
 			gettext_noop("Number of synchronous standbys and list of names of potential synchronous ones."),
@@ -4342,7 +4141,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_synchronous_standby_names, assign_synchronous_standby_names, NULL
 	},
-
 	{
 		{"default_text_search_config", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets default text search configuration."),
@@ -4352,7 +4150,6 @@ struct config_string ConfigureNamesString[] =
 		"pg_catalog.simple",
 		check_default_text_search_config, assign_default_text_search_config, NULL
 	},
-
 	{
 		{"ssl_ciphers", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Sets the list of allowed SSL ciphers."),
@@ -4367,7 +4164,6 @@ struct config_string ConfigureNamesString[] =
 #endif
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_ecdh_curve", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Sets the curve to use for ECDH."),
@@ -4382,7 +4178,6 @@ struct config_string ConfigureNamesString[] =
 #endif
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_dh_params_file", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Location of the SSL DH parameters file."),
@@ -4393,7 +4188,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_passphrase_command", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Command to obtain passphrases for SSL."),
@@ -4404,7 +4198,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"application_name", PGC_USERSET, LOGGING_WHAT,
 			gettext_noop("Sets the application name to be reported in statistics and logs."),
@@ -4415,7 +4208,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_application_name, assign_application_name, NULL
 	},
-
 	{
 		{"cluster_name", PGC_POSTMASTER, PROCESS_TITLE,
 			gettext_noop("Sets the name of the cluster, which is included in the process title."),
@@ -4426,7 +4218,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_cluster_name, NULL, NULL
 	},
-
 	{
 		{"wal_consistency_checking", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Sets the WAL resource managers for which WAL consistency checks are done."),
@@ -4437,7 +4228,6 @@ struct config_string ConfigureNamesString[] =
 		"",
 		check_wal_consistency_checking, assign_wal_consistency_checking, NULL
 	},
-
 	{
 		{"jit_provider", PGC_POSTMASTER, CLIENT_CONN_PRELOAD,
 			gettext_noop("JIT provider to use."),
@@ -4448,7 +4238,6 @@ struct config_string ConfigureNamesString[] =
 		"llvmjit",
 		NULL, NULL, NULL
 	},
-
 	{
 		{"backtrace_functions", PGC_SUSET, DEVELOPER_OPTIONS,
 			gettext_noop("Log backtrace for errors in these functions."),
@@ -4478,7 +4267,6 @@ struct config_enum ConfigureNamesEnum[] =
 		BACKSLASH_QUOTE_SAFE_ENCODING, backslash_quote_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"bytea_output", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the output format for bytea."),
@@ -4488,7 +4276,6 @@ struct config_enum ConfigureNamesEnum[] =
 		BYTEA_OUTPUT_HEX, bytea_output_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"client_min_messages", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the message levels that are sent to the client."),
@@ -4499,7 +4286,6 @@ struct config_enum ConfigureNamesEnum[] =
 		NOTICE, client_message_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"compute_query_id", PGC_SUSET, STATS_MONITORING,
 			gettext_noop("Enables in-core computation of query identifiers."),
@@ -4509,7 +4295,6 @@ struct config_enum ConfigureNamesEnum[] =
 		COMPUTE_QUERY_ID_AUTO, compute_query_id_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"constraint_exclusion", PGC_USERSET, QUERY_TUNING_OTHER,
 			gettext_noop("Enables the planner to use constraints to optimize queries."),
@@ -4521,7 +4306,6 @@ struct config_enum ConfigureNamesEnum[] =
 		CONSTRAINT_EXCLUSION_PARTITION, constraint_exclusion_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"default_toast_compression", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the default compression method for compressible values."),
@@ -4532,7 +4316,6 @@ struct config_enum ConfigureNamesEnum[] =
 		default_toast_compression_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"default_transaction_isolation", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the transaction isolation level of each new transaction."),
@@ -4542,7 +4325,6 @@ struct config_enum ConfigureNamesEnum[] =
 		XACT_READ_COMMITTED, isolation_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"transaction_isolation", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the current transaction's isolation level."),
@@ -4553,7 +4335,6 @@ struct config_enum ConfigureNamesEnum[] =
 		XACT_READ_COMMITTED, isolation_level_options,
 		check_transaction_isolation, NULL, NULL
 	},
-
 	{
 		{"IntervalStyle", PGC_USERSET, CLIENT_CONN_LOCALE,
 			gettext_noop("Sets the display format for interval values."),
@@ -4564,7 +4345,6 @@ struct config_enum ConfigureNamesEnum[] =
 		INTSTYLE_POSTGRES, intervalstyle_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_error_verbosity", PGC_SUSET, LOGGING_WHAT,
 			gettext_noop("Sets the verbosity of logged messages."),
@@ -4574,7 +4354,6 @@ struct config_enum ConfigureNamesEnum[] =
 		PGERROR_DEFAULT, log_error_verbosity_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_min_messages", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Sets the message levels that are logged."),
@@ -4585,7 +4364,6 @@ struct config_enum ConfigureNamesEnum[] =
 		WARNING, server_message_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_min_error_statement", PGC_SUSET, LOGGING_WHEN,
 			gettext_noop("Causes all statements generating error at or above this level to be logged."),
@@ -4596,7 +4374,6 @@ struct config_enum ConfigureNamesEnum[] =
 		ERROR, server_message_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"log_statement", PGC_SUSET, LOGGING_WHAT,
 			gettext_noop("Sets the type of statements logged."),
@@ -4606,7 +4383,6 @@ struct config_enum ConfigureNamesEnum[] =
 		LOGSTMT_NONE, log_statement_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"syslog_facility", PGC_SIGHUP, LOGGING_WHERE,
 			gettext_noop("Sets the syslog \"facility\" to be used when syslog enabled."),
@@ -4621,7 +4397,6 @@ struct config_enum ConfigureNamesEnum[] =
 		syslog_facility_options,
 		NULL, assign_syslog_facility, NULL
 	},
-
 	{
 		{"session_replication_role", PGC_SUSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets the session's behavior for triggers and rewrite rules."),
@@ -4631,7 +4406,6 @@ struct config_enum ConfigureNamesEnum[] =
 		SESSION_REPLICATION_ROLE_ORIGIN, session_replication_role_options,
 		NULL, assign_session_replication_role, NULL
 	},
-
 	{
 		{"synchronous_commit", PGC_USERSET, WAL_SETTINGS,
 			gettext_noop("Sets the current transaction's synchronization level."),
@@ -4641,7 +4415,6 @@ struct config_enum ConfigureNamesEnum[] =
 		SYNCHRONOUS_COMMIT_ON, synchronous_commit_options,
 		NULL, assign_synchronous_commit, NULL
 	},
-
 	{
 		{"archive_mode", PGC_POSTMASTER, WAL_ARCHIVING,
 			gettext_noop("Allows archiving of WAL files using archive_command."),
@@ -4651,7 +4424,6 @@ struct config_enum ConfigureNamesEnum[] =
 		ARCHIVE_MODE_OFF, archive_mode_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_target_action", PGC_POSTMASTER, WAL_RECOVERY_TARGET,
 			gettext_noop("Sets the action to perform upon reaching the recovery target."),
@@ -4661,7 +4433,6 @@ struct config_enum ConfigureNamesEnum[] =
 		RECOVERY_TARGET_ACTION_PAUSE, recovery_target_action_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"trace_recovery_messages", PGC_SIGHUP, DEVELOPER_OPTIONS,
 			gettext_noop("Enables logging of recovery-related debugging information."),
@@ -4678,7 +4449,6 @@ struct config_enum ConfigureNamesEnum[] =
 		LOG, client_message_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"track_functions", PGC_SUSET, STATS_CUMULATIVE,
 			gettext_noop("Collects function-level statistics on database activity."),
@@ -4688,8 +4458,6 @@ struct config_enum ConfigureNamesEnum[] =
 		TRACK_FUNC_OFF, track_function_options,
 		NULL, NULL, NULL
 	},
-
-
 	{
 		{"stats_fetch_consistency", PGC_USERSET, STATS_CUMULATIVE,
 			gettext_noop("Sets the consistency of accesses to statistics data."),
@@ -4699,7 +4467,6 @@ struct config_enum ConfigureNamesEnum[] =
 		PGSTAT_FETCH_CONSISTENCY_CACHE, stats_fetch_consistency,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_compression", PGC_SUSET, WAL_SETTINGS,
 			gettext_noop("Compresses full-page writes written in WAL file with specified method."),
@@ -4709,7 +4476,6 @@ struct config_enum ConfigureNamesEnum[] =
 		WAL_COMPRESSION_NONE, wal_compression_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_level", PGC_POSTMASTER, WAL_SETTINGS,
 			gettext_noop("Sets the level of information written to the WAL."),
@@ -4719,7 +4485,6 @@ struct config_enum ConfigureNamesEnum[] =
 		WAL_LEVEL_REPLICA, wal_level_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"dynamic_shared_memory_type", PGC_POSTMASTER, RESOURCES_MEM,
 			gettext_noop("Selects the dynamic shared memory implementation used."),
@@ -4729,7 +4494,6 @@ struct config_enum ConfigureNamesEnum[] =
 		DEFAULT_DYNAMIC_SHARED_MEMORY_TYPE, dynamic_shared_memory_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"shared_memory_type", PGC_POSTMASTER, RESOURCES_MEM,
 			gettext_noop("Selects the shared memory implementation used for the main shared memory region."),
@@ -4739,7 +4503,6 @@ struct config_enum ConfigureNamesEnum[] =
 		DEFAULT_SHARED_MEMORY_TYPE, shared_memory_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"wal_sync_method", PGC_SIGHUP, WAL_SETTINGS,
 			gettext_noop("Selects the method used for forcing WAL updates to disk."),
@@ -4749,7 +4512,6 @@ struct config_enum ConfigureNamesEnum[] =
 		DEFAULT_SYNC_METHOD, sync_method_options,
 		NULL, assign_xlog_sync_method, NULL
 	},
-
 	{
 		{"xmlbinary", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets how binary values are to be encoded in XML."),
@@ -4759,7 +4521,6 @@ struct config_enum ConfigureNamesEnum[] =
 		XMLBINARY_BASE64, xmlbinary_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"xmloption", PGC_USERSET, CLIENT_CONN_STATEMENT,
 			gettext_noop("Sets whether XML data in implicit parsing and serialization "
@@ -4780,7 +4541,6 @@ struct config_enum ConfigureNamesEnum[] =
 		HUGE_PAGES_TRY, huge_pages_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_prefetch", PGC_SIGHUP, WAL_RECOVERY,
 			gettext_noop("Prefetch referenced blocks during recovery."),
@@ -4790,7 +4550,6 @@ struct config_enum ConfigureNamesEnum[] =
 		RECOVERY_PREFETCH_TRY, recovery_prefetch_options,
 		check_recovery_prefetch, assign_recovery_prefetch, NULL
 	},
-
 	{
 		{"force_parallel_mode", PGC_USERSET, DEVELOPER_OPTIONS,
 			gettext_noop("Forces use of parallel query facilities."),
@@ -4801,7 +4560,6 @@ struct config_enum ConfigureNamesEnum[] =
 		FORCE_PARALLEL_OFF, force_parallel_mode_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"password_encryption", PGC_USERSET, CONN_AUTH_AUTH,
 			gettext_noop("Chooses the algorithm for encrypting passwords."),
@@ -4811,7 +4569,6 @@ struct config_enum ConfigureNamesEnum[] =
 		PASSWORD_TYPE_SCRAM_SHA_256, password_encryption_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"plan_cache_mode", PGC_USERSET, QUERY_TUNING_OTHER,
 			gettext_noop("Controls the planner's selection of custom or generic plan."),
@@ -4824,7 +4581,6 @@ struct config_enum ConfigureNamesEnum[] =
 		PLAN_CACHE_MODE_AUTO, plan_cache_mode_options,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_min_protocol_version", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Sets the minimum SSL/TLS protocol version to use."),
@@ -4836,7 +4592,6 @@ struct config_enum ConfigureNamesEnum[] =
 		ssl_protocol_versions_info + 1, /* don't allow PG_TLS_ANY */
 		NULL, NULL, NULL
 	},
-
 	{
 		{"ssl_max_protocol_version", PGC_SIGHUP, CONN_AUTH_SSL,
 			gettext_noop("Sets the maximum SSL/TLS protocol version to use."),
@@ -4848,7 +4603,6 @@ struct config_enum ConfigureNamesEnum[] =
 		ssl_protocol_versions_info,
 		NULL, NULL, NULL
 	},
-
 	{
 		{"recovery_init_sync_method", PGC_SIGHUP, ERROR_HANDLING_OPTIONS,
 			gettext_noop("Sets the method for synchronizing the data directory before crash recovery."),
-- 
1.8.3.1

